Skip to navigation

Generate and archive document

View as Markdown
Generates the document using DocuSign Spring CM template then returns the html content of the document.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Request

This endpoint expects an object: envelopeGenAndSend

accessControlListBase64stringOptional
accessibilitystringOptional
allowCommentsstringOptional
allowMarkupstringOptional

When set to true, Document Markup is enabled for envelope. Account must have Document Markup enabled to use this

allowReassignstringOptional

When set to true, the recipient can redirect an envelope to a more appropriate recipient.

allowRecipientRecursionstringOptional
allowViewHistorystringOptional
anySignerstringOptional
archiveActionstringOptional
asynchronousstringOptional

When set to true, the envelope is queued for processing and the value of the status property is set to ‘Processing’. Additionally, get status calls return ‘Processing’ until completed.

attachmentslist of objectsOptional
attachmentsUristringOptional
authoritativeCopystringOptional
Specifies the Authoritative copy feature. If set to true the Authoritative copy feature is enabled.
authoritativeCopyDefaultstringOptional
autoNavigationstringOptional
brandIdstringOptional
brandLockstringOptional
burnDefaultTabDatastringOptional
certificateUristringOptional
Retrieves a URI for an endpoint that allows you to easily retrieve certificate information.
completedDateTimestringOptional
Specifies the date and time this item was completed.
compositeTemplateslist of objectsOptional
copyRecipientDatastringOptional
createdDateTimestringOptional
Indicates the date and time the item was created.
customFieldsobjectOptional
Contains information about custom fields.
customFieldsUristringOptional
Contains a URI for an endpoint that you can use to retrieve the custom fields.
declinedDateTimestringOptional
The date and time the recipient declined the document.
deletedDateTimestringOptional
Specifies the data and time the item was deleted.
deliveredDateTimestringOptional

Reserved: For DocuSign use only.

disableResponsiveDocumentstringOptional
documentBase64stringOptional
documentslist of objectsOptional
Complex element contains the details on the documents in the envelope.
documentsCombinedUristringOptional
documentsUristringOptional
Contains a URI for an endpoint that you can use to retrieve the documents.
emailBlurbstringOptional
emailSettingsobjectOptional

A complex element that allows the sender to override some envelope email setting information. This can be used to override the Reply To email address and name associated with the envelope and to override the BCC email addresses to which an envelope is sent.

When the emailSettings information is used for an envelope, it only applies to that envelope.

IMPORTANT: The emailSettings information is not returned in the GET for envelope status. Use GET /email_settings to return information about the emailSettings.

EmailSettings consists of:

  • replyEmailAddressOverride - The Reply To email used for the envelope. DocuSign will verify that a correct email format is used, but does not verify that the email is active. Maximum Length: 100 characters.
  • replyEmailNameOverride - The name associated with the Reply To email address. Maximum Length: 100 characters.
  • bccEmailAddresses - An array of up to five email addresses to which the envelope is sent to as a BCC email. Only users with canManageAccount setting set to true can use this option. DocuSign verifies that the email format is correct, but does not verify that the email is active. Using this overrides the BCC for Email Archive information setting for this envelope. Maximum Length: 100 characters. Example: if your account has BCC for Email Archive set up for the email address ‘archive@mycompany.com’ and you send an envelope using the BCC Email Override to send a BCC email to ‘salesarchive@mycompany.com’, then a copy of the envelope is only sent to the ‘salesarchive@mycompany.com’ email address.
emailSubjectstringOptional

Specifies the subject of the email that is sent to all recipients.

See [ML:Template Email Subject Merge Fields] for information about adding merge field information to the email subject.

enableWetSignstringOptional

When set to true, the signer is allowed to print the document and sign it on paper.

enforceSignerVisibilitystringOptional

When set to true, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.

Your account must have Document Visibility enabled to use this.

envelopeAttachmentslist of objectsOptional
envelopeClassificationstringOptional
envelopeCustomMetadataobjectOptional
envelopeDocumentslist of objectsOptional
envelopeIdstringOptional
The envelope ID of the envelope status that failed to post.
envelopeIdStampingstringOptional

When set to true, Envelope ID Stamping is enabled.

envelopeLocationstringOptional
envelopeMetadataobjectOptional
envelopeUristringOptional
Contains a URI for an endpoint that you can use to retrieve the envelope or envelopes.
eventNotificationobjectOptional

Use this object to configure a Docusign Connect webhook.

eventNotificationslist of objectsOptional
expireAfterstringOptional
expireDateTimestringOptional
expireEnabledstringOptional
externalEnvelopeIdstringOptional
folderslist of objectsOptional
generateDataSourcestringOptional
generatePropertieslist of objectsOptional
generateSchemaIdstringOptional
hasCommentsstringOptional
hasFormDataChangedstringOptional
hasWavFilestringOptional
holderstringOptional
imageHandlingstringOptional
initialSentDateTimestringOptional
is21CFRPart11stringOptional

When set to true, indicates that this module is enabled on the account.

isDynamicEnvelopestringOptional
isSignatureProviderEnvelopestringOptional
isTicketRelatedEnvelopestringOptional
lastModifiedDateTimestringOptional
The date and time the item was last modified.
locationstringOptional
lockInformationobjectOptional
messageLockstringOptional

When set to true, prevents senders from changing the contents of emailBlurb and emailSubject properties for the envelope.

Additionally, this prevents users from making changes to the contents of emailBlurb and emailSubject properties when correcting envelopes.

However, if the messageLock node is set to true**** and the emailSubject property is empty, senders and correctors are able to add a subject to the envelope.

notificationobjectOptional
A complex element that specifies the notification settings for the envelope.
notificationUristringOptional
Contains a URI for an endpoint that you can use to retrieve the notifications.
passwordstringOptional
powerFormobjectOptional
Contains details about a PowerForm.
purgeCompletedDatestringOptional
purgeRequestDatestringOptional
purgeStatestringOptional
recipientsobjectOptional
Specifies the envelope recipients.
recipientsLockstringOptional

When set to true, prevents senders from changing, correcting, or deleting the recipient information for the envelope.

recipientsUristringOptional
Contains a URI for an endpoint that you can use to retrieve the recipients.
recipientViewRequestobjectOptional
saveDocumentsToArchivestringOptional
senderobjectOptional
sentDateTimestringOptional
The date and time the envelope was sent.
signerCanSignOnMobilestringOptional
signingLocationstringOptional

Specifies the physical location where the signing takes place. It can have two enumeration values; InPerson and Online. The default value is Online.

statusstringOptional

Indicates the envelope status. Valid values are:

  • sent - The envelope is sent to the recipients.
  • created - The envelope is saved as a draft and can be modified and sent later.
statusChangedDateTimestringOptional
The data and time the status changed.
templateIdstringOptional
The unique identifier of the template. If this is not provided, DocuSign will generate a value.
templateRoleslist of objectsOptional
templatesUristringOptional
Contains a URI for an endpoint which you can use to retrieve the templates.
transactionIdstringOptional

Used to identify an envelope. The id is a sender-generated value and is valid in the DocuSign system for 7 days. It is recommended that a transaction ID is used for offline signing to ensure that an envelope is not sent multiple times. The transactionId property can be used determine an envelope’s status (i.e. was it created or not) in cases where the internet connection was lost before the envelope status was returned.

useDisclosurestringOptional

When set to true, the disclosure is shown to recipients in accordance with the account’s Electronic Record and Signature Disclosure frequency setting. When set to false, the Electronic Record and Signature Disclosure is not shown to any envelope recipients.

If the useDisclosure property is not set, then the account’s normal disclosure setting is used and the value of the useDisclosure property is not returned in responses when getting envelope information.

uSigStatestringOptional
voidedDateTimestringOptional
The date and time the envelope or template was voided.
voidedReasonstringOptional
The reason the envelope or template was voided.
watermarkLanguagestringOptional
workflowobjectOptional
Describes the workflow for an envelope.

Response

Successful response.

Errors

400
Bad Request Error